unit uPluginInfVentasArticulo;

interface

uses
  uModuleController, uInterfaces, uHostManager, Menus, Classes, ActnList,
  ImgList, Controls, PngImageList;

type
  IMCInfVentasArticulo = interface(IInterface)
  ['{6AB7F54B-AEAD-4317-907C-B54758666AB8}']
  end;

  TPluginInfVentasArticulo = class(TModuleController, IMCInfVentasArticulo)
    actVentasArticulo: TAction;
    ExtraImages: TPngImageList;
    LargeImages: TPngImageList;
    MainMenu: TMainMenu;
    ModuleActionList: TActionList;
    SmallImages: TPngImageList;
    HistoricoMovimientos1: TMenuItem;
    N1: TMenuItem;
    procedure actVentasArticuloExecute(Sender: TObject);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

implementation

{$R *.dfm}

uses
  Forms, Dialogs, SysUtils,
  uInfVentasArticuloController, uBizInfVentasArticulo,
  uInfVentasArticuloViewRegister, uInfVentasArticuloInformeRegister;

function GetModule : TModuleController;
begin
  Result := TPluginInfVentasArticulo.Create(NIL);
end;

exports
  GetModule name GET_MODULE_FUNC;

procedure TPluginInfVentasArticulo.actVentasArticuloExecute(Sender: TObject);
var
  AInfVentasArticuloController : IInfVentasArticuloController;
  AInfVentasArticulo : IBizInfVentasArticulo;

begin
//showmessage('Hola');
//  AInfVentasArticuloController := TInfVentasArticuloController.Create;
//  AInfVentasArticulo := (AInfVentasArticuloController.BuscarTodos as IBizInfVentasArticulo);
//  AInfVentasArticuloController.Ver; //(AInfVentasArticulo);
end;

constructor TPluginInfVentasArticulo.Create(AOwner: TComponent);
begin
  inherited;
  uInfVentasArticuloInformeRegister.RegisterInformes;
  uInfVentasArticuloViewRegister.RegisterViews;
end;

destructor TPluginInfVentasArticulo.Destroy;
begin
  uInfVentasArticuloInformeRegister.UnRegisterInformes;
  uInfVentasArticuloViewRegister.UnregisterViews;
  inherited;
end;

initialization
  RegisterModuleClass(TPluginInfVentasArticulo);

finalization
  UnRegisterModuleClass(TPluginInfVentasArticulo);

end.
